Remove yellow padlock icons on HTTPS links
Closed, ResolvedPublic

Description

Author: mediawikibug

Description:
Intention:
MediaWiki shows padlock icons next to HTTPS links because a plone developer back in 2003 thought they were cute. Nowadays more and more websites are going HTTPS entirely, and this link decoration is unnecessary clutter. I discussed this here, to figure out why this happens and how to switch them off on my own wikis: https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Padlock_icons_on_HTTPS_links._Why%3F_and_how_to_switch_off%3F ...but with this bug I humbly suggest that the default should maybe be changed.

Steps to Reproduce:
put a HTTPS URL on a wiki page e.g. https://twitter.com/harry_wood and preview/save the page to see how it renders

Actual Results:
On the default mediawiki vector skin you get a small yellow padlock icon to the right of the link. This is quite visually cluttering, making for unnecessarily ugly wiki pages (and with no security advantage that I can see)

Expected Results:
The normal 'external link' icon would be better. Or at least we could phase-out the padlock, moving to a more subtle blue padlock as used on wikimedia sites

Reproducible: Didn't try


Version: 1.23.0
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Padlock_icons_on_HTTPS_links._Why%3F_and_how_to_switch_off%3F
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=59893
https://bugzilla.wikimedia.org/show_bug.cgi?id=30682

bzimport added a project: MediaWiki-Interface.Via ConduitNov 22 2014, 2:58 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz61178.
bzimport created this task.Via LegacyFeb 11 2014, 10:55 AM
robkam added a comment.Via ConduitFeb 11 2014, 11:54 AM

To an inexperienced user the padlock appears to indicate sort of security risk.

Aklapper added a comment.Via ConduitFeb 11 2014, 12:45 PM

I assume this needs a broader discussion and/or consensus on Village Pumps and potentially mediawiki-l@ mailing list.

Quiddity added a comment.Via ConduitFeb 12 2014, 7:16 PM

There was a thread about ALL external link icons on design-l in October 2013, http://lists.wikimedia.org/pipermail/design/2013-October/001035.html

Old Notes on the "blue padlock replacement" are linked at the bottom of http://lists.wikimedia.org/pipermail/design/2013-October/001039.html

(I agree that replacing the yellow-padlock icon with either: the standard external-link icon, or the blue-padlock icon, would be good.)

There's a Semi-Related discussion at bug 54604 ("Ridiculous amount of CSS rules for external links")

Ash_Crow added a comment.Via ConduitMay 12 2014, 11:03 PM

If I read https://bugzilla.wikimedia.org/show_bug.cgi?id=54604 correctly, the padlocks were removed as part of the typography refresh. Shouldn't this bug be closed ?

bzimport added a comment.Via ConduitMay 12 2014, 11:04 PM

swalling wrote:

(In reply to Ash Crow from comment #4)

If I read https://bugzilla.wikimedia.org/show_bug.cgi?id=54604 correctly,
the padlocks were removed as part of the typography refresh. Shouldn't this
bug be closed ?

Yes. Thank you!

bzimport added a comment.Via ConduitSep 17 2014, 1:01 AM

chealer wrote:

This appears to be OK on mediawiki.org. However, I am still seeing these icons on en.wikipedia.org.

This discusses the problem: http://ux.stackexchange.com/questions/29004/why-does-mediawiki-put-little-padlocks-on-https-links

matmarex added a comment.Via ConduitSep 17 2014, 1:04 AM

English Wikipedia editors have decided to add their own little padlocks. See the very bottom of https://en.wikipedia.org/wiki/MediaWiki:Vector.css . You could probably raise this issue on the discussion of that page.

bzimport added a comment.Via ConduitSep 17 2014, 3:26 AM

chealer wrote:

Thank you Bartosz. I have done just that: https://en.wikipedia.org/wiki/MediaWiki_talk:Vector.css#Padlock_for_secure_links

After looking at Vector.css, I think it is misleading to say that English Wikipedia editors have decided to add their own little padlocks. What they did is they *changed* their padlocks.

bzimport added a comment.Via ConduitSep 19 2014, 2:37 AM

chealer wrote:

Padlocks have now been removed from the English Wikipedia.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.